component: LogArtifactDiagnostic
proto_imports:
  - vehicle/sensors/cameras/diagnostics/diagnostic.proto
metric: LogArtifactMetric
namespace: zoox::vehicle::cammux
faults:
  - id: 1
    name: initialization_failed
    severity: WARNING
    description: "Log artifact consumer failed to initialize"
  - id: 2
    name: buffer_overflow
    severity: WARNING
    description: "Encoder queue is being overrun. The encoder is not keeping up."
  - id: 3
    name: video_file_not_saving
    severity: WARNING
    description: "Frames are not being written to file. Videos will not exist."
  - id: 4
    name: timestamps_file_not_saving
    severity: WARNING
    description: "Timestamps are not being written to file. Videos will not exist."
  - id: 5
    name: frames_not_processed
    severity: WARNING
    description: "Frames are not being processed."
  - id: 6
    name: output_buffer_overflow
    severity: WARNING
    description: "The file I/O subsystem is not keeping up with the demand from the video logger."
  - id: 7
    name: filesystem_error
    severity: ERROR
    description: "Unrecoverable filesystem fault detected. Cameras and logger will need to be restarted. It is possible that drives are not properly mounted or have been unplugged."
    triggers_nogo: true
